> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API key

> Retrieve detailed information about a specific API key.
Includes key permissions and expiration status.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/faas/keys/{project_id}/{region_id}/{key_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/faas/keys/{project_id}/{region_id}/{key_name}:
    get:
      tags:
        - Function as a Service
      summary: Get API key
      description: |-
        Retrieve detailed information about a specific API key.
        Includes key permissions and expiration status.
      operationId: FaaSAuthKeyHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: key_name
          required: true
          description: Key name
          schema:
            description: Key name
            example: key-name
            examples:
              - key-name
            pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
            title: Key Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FaasApiKeySerializer'
components:
  schemas:
    FaasApiKeySerializer:
      properties:
        created_at:
          description: Key starts to work
          example: '2023-08-22T11:21:00Z'
          examples:
            - '2023-08-22T11:21:00Z'
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Optional key description
          examples:
            - key-description
          title: Description
        expire:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: Key expires at
          examples:
            - '2023-08-22T11:21:00Z'
          title: Expire
        functions:
          description: List of functions using key
          items:
            $ref: '#/components/schemas/NamespacedName'
          title: Functions
          type: array
        name:
          description: Key name
          example: key-name
          examples:
            - key-name
          pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
          title: Name
          type: string
        status:
          description: Key status
          example: Expired
          examples:
            - Expired
          title: Status
          type: string
      required:
        - functions
        - name
        - created_at
        - status
      title: FaasApiKeySerializer
      type: object
    NamespacedName:
      properties:
        name:
          description: Function name
          example: function-name
          examples:
            - function-name
          pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
          title: Name
          type: string
        namespace:
          description: Namespace name
          example: namespace-name
          examples:
            - namespace-name
          pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
          title: Namespace
          type: string
      required:
        - name
        - namespace
      title: NamespacedName
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````